/*
**  ToolboxBundleProtocol.h
**
**  Copyright (c) 2003
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _Toolbox_Toolbox_H_ToolboxBundleProtocol
#define _Toolbox_Toolbox_H_ToolboxBundleProtocol

#include <Foundation/NSObject.h>
#include <Foundation/NSGeometry.h>

@class NSString;
@class NSView;

@protocol ToolboxBundleProtocol <NSObject>

+ (NSString *) bundleDescription;

- (id) initWithFrame: (NSRect)frame andLocation: (NSString *) location;
- (void) dealloc;

/* Try to use location instead of property list (Not work yet)*/
- (void) setProperty: (id) propertyList;
- (id) property;

/* Copy & Paste (Not work yet) */
- (void) copy;
- (void) paste;

/* Bundle are responsible for resizing */
- (NSView *) view;

/* Reload the content of bundle view */
- (void) reload;

@end
 
#endif /* _Toolbox_Toolbox_H_ToolboxBundleProtocol */
